summaryrefslogtreecommitdiffstats
path: root/bin/etc-update
diff options
context:
space:
mode:
authorMarius Mauch <genone@gentoo.org>2006-07-19 10:26:20 +0000
committerMarius Mauch <genone@gentoo.org>2006-07-19 10:26:20 +0000
commita823d16b3351d535b65b9c85cec7a3b419bc23ce (patch)
treeb33ab5abb493e14a0bbb507302d351fcb8a7865b /bin/etc-update
parentf2250f95caa762cb08aa0d556526220b80814d7a (diff)
downloadportage-a823d16b3351d535b65b9c85cec7a3b419bc23ce.tar.gz
portage-a823d16b3351d535b65b9c85cec7a3b419bc23ce.tar.bz2
portage-a823d16b3351d535b65b9c85cec7a3b419bc23ce.zip
add notice about remaining updates on exit
svn path=/main/trunk/; revision=3931
Diffstat (limited to 'bin/etc-update')
-rwxr-xr-xbin/etc-update8
1 files changed, 7 insertions, 1 deletions
diff --git a/bin/etc-update b/bin/etc-update
index a1f81342e..3cedc660b 100755
--- a/bin/etc-update
+++ b/bin/etc-update
@@ -376,6 +376,12 @@ function die() {
trap "" TERM
trap "" KILL
echo "Exiting: ${1}"
+
+ if [ ${2} -eq 0 ]; then
+ scan > /dev/null
+ [ ${count} -gt 0 ] && echo "NOTE: ${count} updates remaining"
+ fi
+
rm -rf ${TMP}
exit ${2}
}
@@ -387,7 +393,7 @@ scriptname=$(basename $0)
trap die term
-[ -w /etc ] || die "Need root priviledges for write access to /etc"
+[ -w /etc ] || die "Need root priviledges for write access to /etc" 1
export PORTAGE_TMPDIR=$(/usr/lib/portage/bin/portageq envvar PORTAGE_TMPDIR)